petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetCoordinateSection

Set the layout of coordinate values over the mesh.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetCoordinateSection(DM dm, PetscInt dim, PetscSection section)

Not Collective

### Input Parameters

| dm | - The DM object
| dim | - The embedding dimension, or PETSC_DETERMINE
| section | - The PetscSection object

### See Also

DMGetCoordinateSection(), DMGetLocalSection(), DMSetLocalSection()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages